Page MenuHomePhabricator

Deploy StopForumSpam to the Beta Cluster
Closed, ResolvedPublic

Description

Requesting the deployment of the StopForumSpam extension to the Beta Cluster.

The extension has passed security review at T155725 with some issues that need to be fixed first if we were to use it on production, but according to @Bawolff they should not prevent beta cluster deployment provided that IP data is not sent to StopForumSpam.

This is a good oportunity to test its effectiveness in countering the massive spamming the beta cluster projects do suffer.

Revisions and Commits

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 23 2017, 10:06 AM
Reedy added a subscriber: Reedy.Nov 23 2017, 12:32 PM
$fh = fopen( $wgSFSIPListLocation, 'rb' );

is a little scary.. Should really be looking if it's file or URL.. And if it's a URL, using the MW wrappers so it can respect $wgHTTPProxy

$fh = fopen( $wgSFSIPListLocation, 'rb' );

is a little scary.. Should really be looking if it's file or URL.. And if it's a URL, using the MW wrappers so it can respect $wgHTTPProxy

@Bawolff did a security review of the extension at T155725#3074438. Unfortunately I have no idea how to fix those issues.

On the other hand the extension has changed since then so it might be good that a new security review is done.

MarcoAurelio triaged this task as Lowest priority.Aug 20 2018, 7:42 PM

Per the lack of activity.

Change 521233 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] Enable StopForumSpam on beta

https://gerrit.wikimedia.org/r/521233

Tgr updated the task description. (Show Details)Jan 8 2020, 8:06 AM
MarcoAurelio raised the priority of this task from Lowest to Needs Triage.Jan 8 2020, 4:28 PM

Change 650167 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/tools/release@master] Start branching StopForumSpam

https://gerrit.wikimedia.org/r/650167

Change 650167 merged by jenkins-bot:
[mediawiki/tools/release@master] Start branching StopForumSpam

https://gerrit.wikimedia.org/r/650167

Change 521233 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable StopForumSpam on beta

https://gerrit.wikimedia.org/r/521233

Mentioned in SAL (#wikimedia-operations) [2021-01-11T17:57:52Z] <reedy@deploy1001> Synchronized wmf-config/extension-list: T181217 (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2021-01-11T18:00:03Z] <reedy@deploy1001> Synchronized wmf-config/InitialiseSettings-labs.php: T181217 (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2021-01-11T18:01:10Z] <reedy@deploy1001> Synchronized wmf-config/CommonSettings-labs.php: T181217 (duration: 00m 56s)

AlexisJazz added a subscriber: AlexisJazz.EditedMon, Jan 11, 7:13 PM

Change 521233 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable StopForumSpam on beta

https://gerrit.wikimedia.org/r/521233

T271740

The wiki can no longer be edited. At all. Guess it can't be spammed either, but..

sbassett closed this task as Resolved.Tue, Jan 12, 7:16 PM
sbassett claimed this task.
sbassett triaged this task as Medium priority.
sbassett moved this task from Backlog to Done on the MediaWiki-extensions-StopForumSpam board.
sbassett added a subscriber: sbassett.

I'm going to resolve this for now. The extension is on beta, but disabled for now, pending a few fixes from T271756 being completed and merged.